# Uses of Interface
com.sun.jdi.request.MonitorWaitedRequest

Packages that use MonitorWaitedRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of MonitorWaitedRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return MonitorWaitedRequest
Modifier and Type
Method
Description
`MonitorWaitedRequest`
EventRequestManager.`createMonitorWaitedRequest()`
Creates a new disabled `MonitorWaitedRequest`.
Methods in com.sun.jdi.request that return types with arguments of type MonitorWaitedRequest
Modifier and Type
Method
Description
`List<MonitorWaitedRequest>`
EventRequestManager.`monitorWaitedRequests()`
Return an unmodifiable list of the enabled and disabled monitor waited requests.